## libnss-myhostname 0.2

=== debian/changelog ===
libnss-myhostname (0.2-5) unstable; urgency=low

  * Bump standards version, no change
  * Do not run dh_shlibps for .so files in /lib32 or /lib64, avoids dependency
    on (e.g.) libc6-amd64 (Closes: #587918)

 -- Joachim Breitner <nomeata@debian.org>  Wed, 07 Jul 2010 17:31:34 +0200

libnss-myhostname (0.2-4) unstable; urgency=low

  * Try to pass a more correct --build parameter to ./configure when building
    multilib variants.

 -- Joachim Breitner <nomeata@debian.org>  Mon, 21 Jun 2010 14:58:27 +0200

libnss-myhostname (0.2-3) unstable; urgency=low

  * Typo in description (Closes: #584640)
  * Build-Depend on lynx for README creation
  * Actually use -m64 option when building 64bit libraries

 -- Joachim Breitner <nomeata@debian.org>  Sun, 20 Jun 2010 23:16:34 +0200

libnss-myhostname (0.2-2) unstable; urgency=low

  * Fix VCS URL in controls file 
  * Use 127.0.1.1 for consistency with Debian’s default /etc/hosts (Closes:
    #583624)
  * Amend configure.ac to cater for non-defined MAX_HOST_NAME

 -- Joachim Breitner <nomeata@debian.org>  Fri, 04 Jun 2010 12:59:21 +0200

libnss-myhostname (0.2-1) unstable; urgency=low

  * Initial release (Closes: #574800)

 -- Joachim Breitner <nomeata@debian.org>  Thu, 06 May 2010 15:34:50 +0200
