=== debian/control ===
Source: libnss-myhostname
Section: admin
Priority: extra
Maintainer: Joachim Breitner <nomeata@debian.org>
Build-Depends:
  debhelper (>= 7),
  pkg-config,
  gcc-multilib [sparc i386 kfreebsd-amd64 amd64 mips mipsel powerpc s390],
  lynx
Standards-Version: 3.9.0
Homepage: http://0pointer.de/lennart/projects/nss-myhostname/
VCS-Git: git://git.nomeata.de/libnss-myhostname.git
VCS-Browser: http://git.nomeata.de/?p=libnss-myhostname.git


Package: libnss-myhostname
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: nss module providing falback resolution for the current hostname
 This package contains a plugin for the Name Service Switch, providing host
 name resolution for the locally configured system hostname as returned by
 gethostname(2). It simply returns the IPv4 address 127.0.1.1 (which is on the
 local loopback) and the IPv6 address ::1 (which is the local host).
 .
 A lot of software relies on that the local host name is resolvable. This
 package provides an alternative to the fragile and error-prone manual editing
 of /etc/hosts.
