## libnss-myhostname 0.3

=== debian/changelog ===
libnss-myhostname (0.3-6) unstable; urgency=low

  * Fix duplicated ldconfig calls in maintainer scripts, thanks to Michael
    Prokop for noticing. (Closes: #712802)

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Jun 2013 11:06:06 +0200

libnss-myhostname (0.3-5) unstable; urgency=low

  * Work around #705900: Ignore link-local addresses

 -- Joachim Breitner <nomeata@debian.org>  Tue, 21 May 2013 15:43:56 +0200

libnss-myhostname (0.3-4) unstable; urgency=low

  * Fix Package's description to reflect changed behaviour. (Closes: #656218)

 -- Joachim Breitner <nomeata@debian.org>  Tue, 17 Jan 2012 22:08:50 +0100

libnss-myhostname (0.3-3) unstable; urgency=low

  * Implement Multi-Arch support 
  * 0004-Ensure-a-LANG-independent-generated-README.patch: 
    Make sure the generated html file is independent of the current LANG

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Jun 2011 12:53:59 +0200

libnss-myhostname (0.3-2) unstable; urgency=low

  * Apply patch by Robert Millan, adding legacy support for BSD and hurd
    kernels (Closes: #630206) 
  * Use dh-autoreconf to take care of autoreconfing 

 -- Joachim Breitner <nomeata@debian.org>  Fri, 17 Jun 2011 09:53:40 +0200

libnss-myhostname (0.3-1) unstable; urgency=low

  * Fix typo in package description (Closes: #624526)
  * New upstream release (Closes: #630009)
  * Bump standard version, no change
  * Install myshostname directly after "files" in /etc/nsswitch.conf.
    This avoids an annoying delay when dns fails and one wants to use sudo to
    fix it. Is also closer to having the hostname in /etc/hosts, which is the
    behaviour myhostname tries to mimic. Existing installations are not
    modified.

 -- Joachim Breitner <nomeata@debian.org>  Fri, 10 Jun 2011 23:04:56 +0200
