=== debian/watch ===
version=3
http://0pointer.de/lennart/projects/nss-myhostname/ nss-myhostname-(.*)\.tar\.gz
